# GstTriggerControlSource

GstTriggerControlSource is a GstControlSource, that returns values from user-given control points. It allows for a tolerance on the time-stamps.

To use GstTriggerControlSource get a new instance by calling gst_trigger_control_source_new, bind it to a GParamSpec and set some control points by calling gst_timed_value_control_source_set.

All functions are MT-safe.

## GstTriggerControlSource

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstControlSource
                    ╰──GstTimedValueControlSource
                        ╰──GstTriggerControlSource

The instance structure of GstControlSource.

### Members

`parent` (GstTimedValueControlSource) –
No description available

### Class structure

#### GstTriggerControlSourceClass

##### Fields

`parent_class` (GstTimedValueControlSourceClass) –
No description available

### GstController.TriggerControlSourceClass

##### Attributes

`parent_class` (GstController.TimedValueControlSourceClass) –
No description available

### GstController.TriggerControlSourceClass

##### Attributes

`parent_class` (GstController.TimedValueControlSourceClass) –
No description available

## GstController.TriggerControlSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlSource
                    ╰──GstController.TimedValueControlSource
                        ╰──GstController.TriggerControlSource

The instance structure of Gst.ControlSource.

### Members

`parent` (GstController.TimedValueControlSource) –
No description available

## GstController.TriggerControlSource

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.ControlSource
                    ╰──GstController.TimedValueControlSource
                        ╰──GstController.TriggerControlSource

The instance structure of Gst.ControlSource.

### Members

`parent` (GstController.TimedValueControlSource) –
No description available

### Constructors

#### gst_trigger_control_source_new

    GstControlSource *
    gst_trigger_control_source_new ()

This returns a new, unbound GstTriggerControlSource.

Returns ( [transfer: full]) –

a new, unbound GstTriggerControlSource.

#### GstController.TriggerControlSource.prototype.new

    function GstController.TriggerControlSource.prototype.new(): {
        // javascript wrapper for 'gst_trigger_control_source_new'
    }

This returns a new, unbound GstController.TriggerControlSource.

Returns (Gst.ControlSource) –

a new, unbound GstController.TriggerControlSource.

#### GstController.TriggerControlSource.new

    def GstController.TriggerControlSource.new ():
        #python wrapper for 'gst_trigger_control_source_new'

This returns a new, unbound GstController.TriggerControlSource.

Returns (Gst.ControlSource) –

a new, unbound GstController.TriggerControlSource.

### Properties

#### tolerance

    “tolerance” gint64

Flags : Read / Write

#### tolerance

    “tolerance” Number

Flags : Read / Write

#### tolerance

    “self.props.tolerance” int

Flags : Read / Write

## Constants

### GST_TYPE_TRIGGER_CONTROL_SOURCE

    #define GST_TYPE_TRIGGER_CONTROL_SOURCE \
      (gst_trigger_control_source_get_type ())

### GST_TYPE_TRIGGER_WAVEFORM

    #define GST_TYPE_TRIGGER_WAVEFORM (gst_trigger_waveform_get_type ())

The results of the search are